<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <Child @mounted='doSomething'></Child>
    <HookChild @hook:mounted='hookDoSomething'></HookChild>
  </div>
</template>

<script>
import Child from './Child'
import HookChild from './HookChild'
export default {
  name: 'Parent',
  data () {
    return {
      msg: 'Parent'
    }
  },
  components:{
    Child,
    HookChild
  },
  methods:{
    doSomething(){
      console.log('监听子组件周期');
    },
    hookDoSomething(){
      console.log('Hook监听子组件周期');
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
